$(function(){
//alert("S");	
main_job_select=0;
sub_job_select=0;

$(".main_job").live("click",function(){
main_job_select=$(this).attr("id");
});
$(".sub_job").live("click",function(){
sub_job_select=$(this).attr("id");
});


$("#up_arrow_main_job").live("click",function(){
if(main_job_select!=0){
$("#save_main_job").show();
move_up=$(".main_job[id="+main_job_select+"]").prev(".main_job").attr("id");
sort_up=$(".main_job[id="+main_job_select+"]").prev(".main_job").attr("code");
sort_me=$(".main_job[id="+main_job_select+"]").attr("code");

$(".main_job[id="+main_job_select+"]").prev(".main_job").attr("code",sort_me);
$(".main_job[id="+main_job_select+"]").attr("code",sort_up);

$(".main_job[id="+main_job_select+"]").insertBefore(".main_job[id="+move_up+"]");	

  
//alert(move_up);
//alert(move_down);
}

});


$("#down_arrow_main_job").live("click",function(){
if(main_job_select!=0){
$("#save_main_job").show();
move_down=$(".main_job[id="+main_job_select+"]").next(".main_job").attr("id");
sort_down=$(".main_job[id="+main_job_select+"]").next(".main_job").attr("code");
sort_me=$(".main_job[id="+main_job_select+"]").attr("code");

$(".main_job[id="+main_job_select+"]").next(".main_job").attr("code",sort_me);
$(".main_job[id="+main_job_select+"]").attr("code",sort_down);

$(".main_job[id="+main_job_select+"]").insertAfter(".main_job[id="+move_down+"]");	


    
//alert(move_up);
//alert(move_down);
}

});


$("#save_main_job").click(function(){
$(".over_loading").show();
var arr = $('#main_job_list > option').map(function(){
return " set `code`="+$(this).attr("code") + " where `id`= " + this.id + 
", set `code`="+$(this).attr("code") + " where `sub`= " + this.id ;
}).get();

query=arr+"";
//alert(arr);

$.post("ajax_save_menus_sort.php",{"query":query,"type":"main"},function(data){
$(".over_loading").hide();
$("#save_main_job").hide();
//alert(data);
});


});





$("#up_arrow_sub_job").live("click",function(){
if(sub_job_select!=0){
$("#save_sub_job").show();
move_up=$(".sub_job[id="+sub_job_select+"]").prev(".sub_job").attr("id");
sort_up=$(".sub_job[id="+sub_job_select+"]").prev(".sub_job").attr("sort");
sort_me=$(".sub_job[id="+sub_job_select+"]").attr("sort");

$(".sub_job[id="+sub_job_select+"]").prev(".sub_job").attr("sort",sort_me);
$(".sub_job[id="+sub_job_select+"]").attr("sort",sort_up);

$(".sub_job[id="+sub_job_select+"]").insertBefore(".sub_job[id="+move_up+"]");	

  
//alert(move_up);
//alert(move_down);
}

});


$("#down_arrow_sub_job").live("click",function(){
if(sub_job_select!=0){
$("#save_sub_job").show();
move_down=$(".sub_job[id="+sub_job_select+"]").next(".sub_job").attr("id");
sort_down=$(".sub_job[id="+sub_job_select+"]").next(".sub_job").attr("sort");
sort_me=$(".sub_job[id="+sub_job_select+"]").attr("sort");

$(".sub_job[id="+sub_job_select+"]").next(".sub_job").attr("sort",sort_me);
$(".sub_job[id="+sub_job_select+"]").attr("sort",sort_down);

$(".sub_job[id="+sub_job_select+"]").insertAfter(".sub_job[id="+move_down+"]");	


    
//alert(move_up);
//alert(move_down);
}

});


$("#save_sub_job").click(function(){
$(".over_loading").show();
var arr2 = $('#sub_job_list > option').map(function(){
    return " set sort="+$(this).attr("sort") + " where id= " + this.id ;
}).get();

query=arr2+"";
//alert(arr2);

$.post("ajax_save_menus_sort.php",{"query":query,"type":"sub"},function(data){
$(".over_loading").hide();
$("#save_sub_job").hide();
//alert(data);
});


});




});
           

